BackendHTTP APIEnvironments

Get an environment API key

Requires an Account API key with the account:environments:api_keys:read scope.

Retrieves an Environment API key, including its secret.

Response example

Example Response
{
  "data": {
    "id": 456,
    "uuid": "123e4567-e89b-12d3-a456-426614174001",
    "display_name": "provisioned-ci",
    "scopes": ["environment:*"],
    "secret": "<YOUR-ENVIRONMENT-API-KEY>",
    "last_used_at": null,
    "created_at": "2026-08-18T12:00:00.000Z"
  }
}
GET
/environments/{environmentUuid}/api-keys/{keyUuid}

Retrieve an Environment API key, including its secret.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Path Parameters

environmentUuid*string

Environment UUID that owns the key.

Formatuuid
keyUuid*string

API-key UUID.

Formatuuid

Response Body

Successfully retrieved the Environment API key

application/json
  1. response
data*
Example Request
curl -X GET 'https://api.tenklo.dev/environments/123e4567-e89b-12d3-a456-426614174000/api-keys/123e4567-e89b-12d3-a456-426614174001'
Example Response
{  "data": {    "id": 0,    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",    "display_name": "string",    "scopes": [      "string"    ],    "secret": "string",    "last_used_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z"  }}